Package org.kapott.hbci.GV

# Class GVDauerEdit

java.lang.Object
org.kapott.hbci.GV.HBCIJobImpl
org.kapott.hbci.GV.GVDauerEdit

All Implemented Interfaces:
  `HBCIJob`

public final class GVDauerEdit extends HBCIJobImpl

## Field Summary

### Fields inherited from class org.kapott.hbci.GV.HBCIJobImpl

`jobResult`

## Constructor Summary

Constructors
Constructor
Description
`GVDauerEdit(HBCIHandler handler)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`extractResults(HBCIMsgStatus msgstatus, String header, int idx)`
`static String`
`getLowlevelName()`
`void`
`setParam(String paramName, String value)`
Setzen eines Job-Parameters.
`void`
`verifyConstraints()`

### Methods inherited from class org.kapott.hbci.GV.HBCIJobImpl

`acceptsParam, addConstraint, addConstraint, addSignaturePassport, addToQueue, addToQueue, applyOffset, canNationalAcc, checkAccountCRC, createJobSegment, createJobSegment, fillJobResult, fillJobResultFromTanJob, getChallengeParam, getExternalId, getHBCICode, getJobName, getJobParameterNames, getJobRestrictions, getJobResult, getJobResultNames, getLowlevelParam, getLowlevelParams, getMainPassport, getMaxNumberPerMsg, getMinSigs, getName, getOrderAccount, getParentHandler, getSecurityClass, getSegVersion, getSignaturePassports, haveTan, haveVoP, redo, redoAllowed, saveReturnValues, setExternalId, setIdx, setLowlevelParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setParam, setSegVersion, skip, skipBPDCheck, skipped, tanApplied, twoDigitValueInList, vopApplied`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GVDauerEdit

public GVDauerEdit(HBCIHandler handler)

## Method Details

### getLowlevelName

public static String getLowlevelName()

### extractResults

protected void extractResults(HBCIMsgStatus msgstatus, String header, int idx)

Overrides:
  `extractResults` in class `HBCIJobImpl`

### setParam

public void setParam(String paramName, String value)
Description copied from class: `HBCIJobImpl`

Setzen eines Job-Parameters. Für alle Highlevel-Jobs ist in der Package-Beschreibung zum Package `org.kapott.hbci.GV` eine Auflistung aller Jobs und deren Parameter zu finden. Für alle Lowlevel-Jobs kann eine Liste aller Parameter entweder mit dem Tool `ShowLowlevelGVs` oder zur Laufzeit durch Aufruf der Methode `HBCIHandler.getLowlevelJobParameterNames(String)` ermittelt werden.

Bei Verwendung dieser oder einer der anderen `setParam()`-Methoden werden zusätzlich einige der Job-Restriktionen (siehe `HBCIJobImpl.getJobRestrictions()`) analysiert. Beim Verletzen einer der überprüften Einschränkungen wird eine Exception mit einer entsprechenden Meldung erzeugt. Diese Überprüfung findet allerdings nur bei Highlevel-Jobs statt.

Specified by:
  `setParam` in interface `HBCIJob`
Overrides:
  `setParam` in class `HBCIJobImpl`
Parameters:
  `paramName` - der Name des zu setzenden Parameters.
  `value` - Wert, auf den der Parameter gesetzt werden soll

### verifyConstraints

public void verifyConstraints()

Overrides:
  `verifyConstraints` in class `HBCIJobImpl`